
<div *ngIf="preferences">
    <h2><span>Preferences</span> {{preferences.id}}</h2>
    <hr>
    <jhi-alert-error></jhi-alert-error>
    <dl class="row-md jh-entity-details">
        <dt><span>Weekly Goal</span></dt>
        <dd>
            <span>{{preferences.weekly_goal}}</span>
        </dd>
        <dt><span>Weight Units</span></dt>
        <dd>
            <span>{{preferences.weight_units}}</span>
        </dd>
        <dt><span>User</span></dt>
        <dd>
            {{preferences.user?.login}}
        </dd>
    </dl>

    <button type="submit"
            (click)="previousState()"
            class="btn btn-info">
        <span class="fa fa-arrow-left"></span>&nbsp;<span> Back</span>
    </button>

    <button type="button"
            [routerLink]="['/', { outlets: { popup: 'preferences/'+ preferences.id + '/edit'} }]"
            replaceUrl="true"
            class="btn btn-primary">
        <span class="fa fa-pencil"></span>&nbsp;<span> Edit</span>
    </button>
</div>
